package com.liquidnet.client.admin.zhengzai.smile.service;

import com.liquidnet.client.admin.common.core.domain.AjaxResult;
import com.liquidnet.client.admin.common.core.page.TableDataInfo;
import com.liquidnet.client.admin.zhengzai.smile.dto.SmileVTSParam;
import com.liquidnet.service.smile.entity.SmileVolunteersTeam;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 志愿者-项目职责组表 服务类
 * </p>
 *
 * @author jiangxiulong
 * @since 2022-04-01
 */
public interface ISmileVolunteersTeamService extends IService<SmileVolunteersTeam> {

    //组列表
    TableDataInfo list(SmileVTSParam param);

    //组添加
    AjaxResult insertData(SmileVolunteersTeam bean);

    //组修改
    AjaxResult updateData(SmileVolunteersTeam bean);

    //组详情
    SmileVolunteersTeam details(String teamId);

    //组搜索
    AjaxResult search(String title);

    //根据活动id获取关联组
    AjaxResult getListByProjectId(String projectId);

}
